Skip to main content
GET
/
api
/
v1
/
llm
/
skills
/
{skill_id}
Typescript (SDK)
import { SDK } from "@meetkai/mka1";

const sdk = new SDK({
  bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});

async function run() {
  const result = await sdk.llm.skills.get({
    skillId: "skill_1710000000000_abc123",
  });

  console.log(result);
}

run();
{
  "id": "skill_1710000000000_abc123",
  "created_at": 1710000000,
  "default_version": "1",
  "description": "A skill for deploying applications",
  "latest_version": "1",
  "name": "deploy-app",
  "object": "skill"
}

Authorizations

Authorization
string
header
required

Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.

Path Parameters

skill_id
string
required

Response

200 - application/json

OK

id
string
required

Unique identifier for the skill

created_at
integer
required

Unix timestamp when the skill was created

Required range: -9007199254740991 <= x <= 9007199254740991
default_version
string
required

Default version for the skill

description
string
required

Description of the skill

latest_version
string
required

Latest version for the skill

name
string
required

Name of the skill

object
any
default:skill